> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/api/exoclick-public-api/api-token-vs-bearer-token.md).

# API Token vs Bearer Token

When working with the ExoClick API, you'll encounter two types of authentication tokens: API tokens and Bearer tokens. Understanding the difference between them is crucial for secure and effective API usage.

Here's the distinction:

## API Token

* Permanent (until disabled or deleted)
* Used to authenticate your account with the API initially
* You get it from your [profile settings](/exoclick-docs/my-profile.md)

## Bearer Token

* Temporary, expires after a short time
* Issued after you login with your API token
* Used for all subsequent API requests to avoid sending the permanent API token each time
* Adds a layer of security as it's only valid for a limited time

**In short**: the API token proves **who you are** and the Bearer token is a temporary key that lets you make requests safely.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/api/exoclick-public-api/api-token-vs-bearer-token.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
